'use strict';

var index = require('./index-Bkm7eeWO.js');

const EclPageHeaderMetaItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.styleClass = '';
        this.icon = '';
    }
    getClass() {
        const styleClasses = [
            'ecl-page-header__meta-item',
            `sc-ecl-page-header-${this.theme}`,
            this.styleClass
        ];
        return styleClasses.join(' ');
    }
    componentWillLoad() {
        var _a;
        this.theme = (_a = document.documentElement.getAttribute('data-ecl-theme')) !== null && _a !== void 0 ? _a : (this.theme || 'ec');
    }
    render() {
        return (index.h("li", { key: 'ec6783998e775726aecb12483b278ff4580870e3', class: this.getClass() }, this.icon &&
            index.h("ecl-icon", { key: '6f082441396f226291c9b4e01f7ebe55d093c37d', icon: this.icon, size: "2xs", styleClass: "ecl-page-header__meta-icon" }), index.h("slot", { key: '766fe91f4d94ed153f37ee62ecb6506df55663f4' })));
    }
};

exports.ecl_page_header_meta_item = EclPageHeaderMetaItem;
